<!DOCTYPE html>
<html lang="en">
<head>
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">
    <title>Todo Lists</title>
</head>
<body>
    <main>
        <div>
            <h1>{{ todo_list.name }}</h1>
            <p>
                <a href="{% url 'todo_list_update' todo_list.id %}">Edit</a>
            </p>
            <p>
                <a href="{% url 'todo_list_delete' todo_list.id %}">Delete</a>
            </p>
            <h2>Tasks</h2>
            <table>
                <thread>
                    <tr>
                        <th>Task</th>
                        <th>Due date</th>
                    </tr>
                </thread>
                <tbody>
                    {% for items in todo_list.items.all %}
                    <tr>
                        <td>
                            <a href="{% url 'todo_item_update' id=items.id %}">{{ items.task }}</a>
                        </td>
                        <td>{{ items.due_date|date:"N j Y" }}</td>
                    </tr>
                    {% endfor %}
                </tbody>
            </table>
        </div>
    </main>
</body>
</html>